"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createRawSource = void 0;
const fs_1 = __importDefault(require("fs"));
const util_1 = __importDefault(require("util"));
const path_1 = __importDefault(require("path"));
const istextorbinary_1 = require("istextorbinary");
const readFile = util_1.default.promisify(fs_1.default.readFile);
const detectContentType = (filePath, content) => {
    if (istextorbinary_1.isBinarySync(filePath, content)) {
        return "binary";
    }
    else if (istextorbinary_1.isTextSync(filePath, content)) {
        return "text";
    }
    else {
        return "unknown";
    }
};
const createRawSource = (filePath) => {
    return readFile(filePath).then((content) => {
        const contentType = detectContentType(filePath, content);
        return {
            filePath,
            content: content.toString(),
            ext: path_1.default.extname(filePath),
            contentType,
        };
    });
};
exports.createRawSource = createRawSource;
//# sourceMappingURL=index.js.map